org.apache.felix.ipojo.manipulator.render

## Class ManipulatedMetadataFilter

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.render.ManipulatedMetadataFilter

All Implemented Interfaces:
  MetadataFilter

    public class ManipulatedMetadataFilter
    extends Object
    implements MetadataFilter

A `ManipulatedMetadataFilter`

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`ManipulatedMetadataFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `accept(org.apache.felix.ipojo.metadata.Element element)` Tests if the given `Element` is accepted by the filter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManipulatedMetadataFilter

    public ManipulatedMetadataFilter()

### Method Detail

#### accept

    public boolean accept(org.apache.felix.ipojo.metadata.Element element)

Description copied from interface: `MetadataFilter`
Tests if the given `Element` is accepted by the filter.

Specified by:
  `accept` in interface `MetadataFilter`
Parameters:
  `element` - the tested element.
Returns:
  true if the filter accept the value (element will be omitted from the rendered metadata), false otherwise.